Bug 114250 - bad use of const
Summary: bad use of const
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-25 13:41 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-28 11:20:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-01-25 13:41:40 UTC
Description of problem:

I just tried to compile package ghostscript-7.07-11, from Redhat
Fedora Core 1.

The compiler said

1.

./src/gdevesmv.c(1531): error #137: expression must be a modifiable lvalue
      pdev->current_color = color;

but, earlier in the file is

    gx_device_esmv const        *pdev = (gx_device_esmv *) dev;

which means that what pdev is pointing at is read-only.
Suspect possible mixup with const. Maybe

    gx_device_esmv * const pdev = (gx_device_esmv *) dev;

would shut up the compiler.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Tim Waugh 2004-01-28 11:20:49 UTC
Fixed in CVS; next build (after 7.07-18) will fix it.


Note You need to log in before you can comment on or make changes to this bug.